Subject: linux-next: manual merge of the vfs-brauner tree with the nfsd tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 24 May 2023 09:56:14 +1000

Hi all,

Today's linux-next merge of the vfs-brauner tree got a conflict in:

  fs/nfsd/nfsfh.c

between commit:

  fed41678532c ("nfsd: don't provide pre/post-op attrs if fh_getattr fails")

from the nfsd tree and commit:

  1a6f4cbffdf5 ("nfsd: ensure we use ctime_peek to grab the inode->i_ctime")

from the vfs-brauner tree.

I fixed it up (I just used the version from the nsfd tree - which
removed the code modified by the latter) and can carry the fix as
necessary. This is now fixed as far as linux-next is concerned, but any
non trivial conflicts should be mentioned to your upstream maintainer
when your tree is submitted for merging.  You may also want to consider
cooperating with the maintainer of the conflicting tree to minimise any
particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell